Summary: sme server integration of phplist
Name: smeserver-phplist
Version: 0.2.1
Release: 1%{?dist}
License: GNU GPL version 2
URL: http://www.phplist.com
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 8.0
Requires: phplist >= 3.0.6
Requires: smeserver-webapps-common
AutoReqProv: no

%description
This rpm provides all the needed templates to get phplist 
running on SME Server

%changelog
* Wed Mar 18 2020 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1
- new package built with tito

* Wed Jul 30 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1
- Nearly complete rewrite
- Change the way bounces are processed
- Add a daemon to process the queue and the bounces
- Requires phplist 3.0.6

* Fri Dec 31 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3
- Fix typo in BouncesPassword prop name

* Thu Dec 30 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Change the way mysql permissions are applied
- Rewrite URL to force SSL for /lists/admin
- Add LemonLDAP auth support (disable basic auth)
- Add AdminUsers prop (only for basic auth)

* Mon Dec 20 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- Minor templates cleanup

* Mon Dec 20 2010 Pierre Bourdin <pierre@firewall-services.com> 0.1-0.beta9
- patch to restrict admin interface with SSL + login
- Separation of the main Alias for Apache in two parts, Admin and Subscibe part

* Mon Dec 20 2010 Pierre Bourdin <pierre@firewall-services.com> 0.1-0.beta8
- patch for force SSL connection and add access variable in DB configuration

* Thu Dec 09 2010 Pierre Bourdin <pierre@firewall-services.com> 0.1-0.beta2
- patch some forgotten parameters in configuration files and add DB configuration

* Wed Dec 08 2010 Pierre Bourdin <pierre@firewall-services.com> 0.1-0.beta0
- initial release


%prep
%setup

%build
perl ./createlinks
%{__mkdir_p} root/var/lib/phplist
%{__mkdir_p} root/var/log/phplist

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/lib/phplist 'attr(0750,www,www)' \
    --dir /var/log/phplist 'attr(0750,smelog,smelog)' \
    --file /var/lib/phplist/bounces.mbox 'config(noreplace) %attr(0640,www,www)' \
    --file /var/service/phplist/run 'attr(0750,root,root)' \
    --file /var/service/phplist/log/run 'attr(0750,root,root)' \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%postun

true

